#!/bin/bash

GS_APP=/lapp_data/formation/GrayScottGPU
GS_SRC=$PWD

echo "Used machine is $(uname -a)"

CONTAINER_IMAGE=$GS_APP/gray-scott-python-pytorch.sif

apptainer run --writable-tmpfs --nv --bind /lapp_data/formation,/usr/local/cuda ${CONTAINER_IMAGE} python $GS_SRC/1_python_pytorchconv2d_grayscott.py